function results=run_RSSTDeep(seq, res_path, bSaveImage)
%
close all;

%% use gpu or cpu
opt.GPU = true;

%%
all_images = seq.s_frames;
opt.n_sample = 50;	% number of particles   
opt.rel_std_afnv =  [0.005,0.0005,0.0005,0.005,2,2]; % affine parameters for particle sampling
opt.show = false;

%% initialize bounding box
% m_boundingbox = [75,129,25,19];  % [left-top-x, left-top-y, width, height];
m_boundingbox = seq.init_rect;
if size(m_boundingbox,1) > 1
    m_boundingbox = m_boundingbox(1,:);
end
% init_pos	= SelectTarget(all_images{1});  % automatically get bounding box
% init_pos =  [p1 p2 p3];
% 			  p1-------------------p3
% 				\					\
% 				 \       target      \
% 				  \                   \
% 				  p2-------------------\  
init_pos = [m_boundingbox(2)   m_boundingbox(2)+m_boundingbox(4)  m_boundingbox(2) ;
            m_boundingbox(1)   m_boundingbox(1)                   m_boundingbox(1)+m_boundingbox(3)];
opt.init_pos = double(init_pos);  %  initialization bounding box
opt.sz_T = 1.0*[m_boundingbox(4) m_boundingbox(3)];
opt.certer_pos =  seq.init_rect(1,[2,1]) + floor(opt.sz_T/2);
if max(opt.sz_T)>100   %100
    tem_ration = 100/max(opt.sz_T);
    opt.sz_T = opt.sz_T * tem_ration;
%     opt.sz_T = 0.5*[m_boundingbox(4) m_boundingbox(3)];
elseif max(opt.sz_T)<32  
    opt.sz_T = 1.0*[m_boundingbox(4) m_boundingbox(3)];
end
 
opt.sz_T = ceil(opt.sz_T);
disp(num2str(opt.sz_T));
 
%% Run MTT tracking. To get better results for different videos, we can change sz_T, rel_std_afnv,  and m_theta.
% tic
[tracking_res, run_time]= RSSTDeep_Tracking(all_images,opt,bSaveImage);
 
results.type = 'L1Aff';
results.res=tracking_res';
results.tmplsize=opt.sz_T;%[height, width]
results.fps= run_time;%length(run_time)/sum(run_time);
